curl --request POST \
--url https://api.sigmamind.ai/v1/mock-tool-data \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Success - Order Confirmed",
"agentId": "agent_D5D0p7TUs66TTAEAx",
"response": {
"order": {
"id": 1073460023,
"confirmation_number": "A50GQT45C",
"confirmed": true,
"created_at": "2026-07-01T16:34:26.000Z",
"currency": "EUR",
"current_subtotal_price": "224.97",
"current_subtotal_price_set": {
"shop_money": {
"amount": "224.97",
"currency_code": "EUR"
},
"presentment_money": {
"amount": "224.97",
"currency_code": "EUR"
}
}
}
},
"statusCode": 200,
"toolAlias": "get_order",
"toolId": "tool_X9pLm2Wq8Rt3",
"request": {
"order_id": "1073460023"
},
"delay": 500
}
'import requests
url = "https://api.sigmamind.ai/v1/mock-tool-data"
payload = {
"name": "Success - Order Confirmed",
"agentId": "agent_D5D0p7TUs66TTAEAx",
"response": { "order": {
"id": 1073460023,
"confirmation_number": "A50GQT45C",
"confirmed": True,
"created_at": "2026-07-01T16:34:26.000Z",
"currency": "EUR",
"current_subtotal_price": "224.97",
"current_subtotal_price_set": {
"shop_money": {
"amount": "224.97",
"currency_code": "EUR"
},
"presentment_money": {
"amount": "224.97",
"currency_code": "EUR"
}
}
} },
"statusCode": 200,
"toolAlias": "get_order",
"toolId": "tool_X9pLm2Wq8Rt3",
"request": { "order_id": "1073460023" },
"delay": 500
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Success - Order Confirmed',
agentId: 'agent_D5D0p7TUs66TTAEAx',
response: {
order: {
id: 1073460023,
confirmation_number: 'A50GQT45C',
confirmed: true,
created_at: '2026-07-01T16:34:26.000Z',
currency: 'EUR',
current_subtotal_price: '224.97',
current_subtotal_price_set: {
shop_money: {amount: '224.97', currency_code: 'EUR'},
presentment_money: {amount: '224.97', currency_code: 'EUR'}
}
}
},
statusCode: 200,
toolAlias: 'get_order',
toolId: 'tool_X9pLm2Wq8Rt3',
request: {order_id: '1073460023'},
delay: 500
})
};
fetch('https://api.sigmamind.ai/v1/mock-tool-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sigmamind.ai/v1/mock-tool-data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Success - Order Confirmed',
'agentId' => 'agent_D5D0p7TUs66TTAEAx',
'response' => [
'order' => [
'id' => 1073460023,
'confirmation_number' => 'A50GQT45C',
'confirmed' => true,
'created_at' => '2026-07-01T16:34:26.000Z',
'currency' => 'EUR',
'current_subtotal_price' => '224.97',
'current_subtotal_price_set' => [
'shop_money' => [
'amount' => '224.97',
'currency_code' => 'EUR'
],
'presentment_money' => [
'amount' => '224.97',
'currency_code' => 'EUR'
]
]
]
],
'statusCode' => 200,
'toolAlias' => 'get_order',
'toolId' => 'tool_X9pLm2Wq8Rt3',
'request' => [
'order_id' => '1073460023'
],
'delay' => 500
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sigmamind.ai/v1/mock-tool-data"
payload := strings.NewReader("{\n \"name\": \"Success - Order Confirmed\",\n \"agentId\": \"agent_D5D0p7TUs66TTAEAx\",\n \"response\": {\n \"order\": {\n \"id\": 1073460023,\n \"confirmation_number\": \"A50GQT45C\",\n \"confirmed\": true,\n \"created_at\": \"2026-07-01T16:34:26.000Z\",\n \"currency\": \"EUR\",\n \"current_subtotal_price\": \"224.97\",\n \"current_subtotal_price_set\": {\n \"shop_money\": {\n \"amount\": \"224.97\",\n \"currency_code\": \"EUR\"\n },\n \"presentment_money\": {\n \"amount\": \"224.97\",\n \"currency_code\": \"EUR\"\n }\n }\n }\n },\n \"statusCode\": 200,\n \"toolAlias\": \"get_order\",\n \"toolId\": \"tool_X9pLm2Wq8Rt3\",\n \"request\": {\n \"order_id\": \"1073460023\"\n },\n \"delay\": 500\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sigmamind.ai/v1/mock-tool-data")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Success - Order Confirmed\",\n \"agentId\": \"agent_D5D0p7TUs66TTAEAx\",\n \"response\": {\n \"order\": {\n \"id\": 1073460023,\n \"confirmation_number\": \"A50GQT45C\",\n \"confirmed\": true,\n \"created_at\": \"2026-07-01T16:34:26.000Z\",\n \"currency\": \"EUR\",\n \"current_subtotal_price\": \"224.97\",\n \"current_subtotal_price_set\": {\n \"shop_money\": {\n \"amount\": \"224.97\",\n \"currency_code\": \"EUR\"\n },\n \"presentment_money\": {\n \"amount\": \"224.97\",\n \"currency_code\": \"EUR\"\n }\n }\n }\n },\n \"statusCode\": 200,\n \"toolAlias\": \"get_order\",\n \"toolId\": \"tool_X9pLm2Wq8Rt3\",\n \"request\": {\n \"order_id\": \"1073460023\"\n },\n \"delay\": 500\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sigmamind.ai/v1/mock-tool-data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Success - Order Confirmed\",\n \"agentId\": \"agent_D5D0p7TUs66TTAEAx\",\n \"response\": {\n \"order\": {\n \"id\": 1073460023,\n \"confirmation_number\": \"A50GQT45C\",\n \"confirmed\": true,\n \"created_at\": \"2026-07-01T16:34:26.000Z\",\n \"currency\": \"EUR\",\n \"current_subtotal_price\": \"224.97\",\n \"current_subtotal_price_set\": {\n \"shop_money\": {\n \"amount\": \"224.97\",\n \"currency_code\": \"EUR\"\n },\n \"presentment_money\": {\n \"amount\": \"224.97\",\n \"currency_code\": \"EUR\"\n }\n }\n }\n },\n \"statusCode\": 200,\n \"toolAlias\": \"get_order\",\n \"toolId\": \"tool_X9pLm2Wq8Rt3\",\n \"request\": {\n \"order_id\": \"1073460023\"\n },\n \"delay\": 500\n}"
response = http.request(request)
puts response.read_body{
"mockToolDataId": "mock_dpKjqjKnY3z6gABF",
"name": "Success - Order Confirmed",
"agentId": "agent_D5D0p7TUs66TTAEAx",
"toolId": "tool_X9pLm2Wq8Rt3",
"toolAlias": "get_order",
"toolName": "Get Order",
"request": {
"order_id": "1073460023"
},
"response": {
"order": {
"id": 1073460023,
"confirmation_number": "A50GQT45C",
"confirmed": true,
"created_at": "2026-07-01T16:34:26.000Z",
"currency": "EUR",
"current_subtotal_price": "224.97",
"current_subtotal_price_set": {
"shop_money": {
"amount": "224.97",
"currency_code": "EUR"
},
"presentment_money": {
"amount": "224.97",
"currency_code": "EUR"
}
}
}
},
"statusCode": 200,
"delay": 500
}{
"error": "Bad Request",
"message": "Invalid request parameters",
"path": "/v1/mock-tool-data",
"status": 400,
"timestamp": "2026-10-14T11:41:38.503Z"
}{
"error": "Unauthorized",
"message": "X-API-Key is missing or invalid",
"path": "/v1/mock-tool-data",
"status": 401,
"timestamp": "2026-10-14T11:41:38.503Z"
}{
"error": "Forbidden",
"message": "Access denied for this resource",
"path": "/v1/mock-tool-data",
"status": 403,
"timestamp": "2026-10-14T11:41:38.503Z"
}{
"error": "Not Found",
"message": "The requested resource was not found",
"path": "/v1/mock-tool-data",
"status": 404,
"timestamp": "2026-10-14T11:41:38.503Z"
}{
"error": "Internal Server Error",
"message": "Unexpected server error",
"path": "/v1/mock-tool-data",
"status": 500,
"timestamp": "2026-10-14T11:41:38.503Z"
}Create Mock Tool Data
Creates a named mock tool data in the tenant mock library. Use this for manual mock tool data creation or after capturing a live tool execute. Returns the created mock including its mockToolDataId.
curl --request POST \
--url https://api.sigmamind.ai/v1/mock-tool-data \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Success - Order Confirmed",
"agentId": "agent_D5D0p7TUs66TTAEAx",
"response": {
"order": {
"id": 1073460023,
"confirmation_number": "A50GQT45C",
"confirmed": true,
"created_at": "2026-07-01T16:34:26.000Z",
"currency": "EUR",
"current_subtotal_price": "224.97",
"current_subtotal_price_set": {
"shop_money": {
"amount": "224.97",
"currency_code": "EUR"
},
"presentment_money": {
"amount": "224.97",
"currency_code": "EUR"
}
}
}
},
"statusCode": 200,
"toolAlias": "get_order",
"toolId": "tool_X9pLm2Wq8Rt3",
"request": {
"order_id": "1073460023"
},
"delay": 500
}
'import requests
url = "https://api.sigmamind.ai/v1/mock-tool-data"
payload = {
"name": "Success - Order Confirmed",
"agentId": "agent_D5D0p7TUs66TTAEAx",
"response": { "order": {
"id": 1073460023,
"confirmation_number": "A50GQT45C",
"confirmed": True,
"created_at": "2026-07-01T16:34:26.000Z",
"currency": "EUR",
"current_subtotal_price": "224.97",
"current_subtotal_price_set": {
"shop_money": {
"amount": "224.97",
"currency_code": "EUR"
},
"presentment_money": {
"amount": "224.97",
"currency_code": "EUR"
}
}
} },
"statusCode": 200,
"toolAlias": "get_order",
"toolId": "tool_X9pLm2Wq8Rt3",
"request": { "order_id": "1073460023" },
"delay": 500
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Success - Order Confirmed',
agentId: 'agent_D5D0p7TUs66TTAEAx',
response: {
order: {
id: 1073460023,
confirmation_number: 'A50GQT45C',
confirmed: true,
created_at: '2026-07-01T16:34:26.000Z',
currency: 'EUR',
current_subtotal_price: '224.97',
current_subtotal_price_set: {
shop_money: {amount: '224.97', currency_code: 'EUR'},
presentment_money: {amount: '224.97', currency_code: 'EUR'}
}
}
},
statusCode: 200,
toolAlias: 'get_order',
toolId: 'tool_X9pLm2Wq8Rt3',
request: {order_id: '1073460023'},
delay: 500
})
};
fetch('https://api.sigmamind.ai/v1/mock-tool-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sigmamind.ai/v1/mock-tool-data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Success - Order Confirmed',
'agentId' => 'agent_D5D0p7TUs66TTAEAx',
'response' => [
'order' => [
'id' => 1073460023,
'confirmation_number' => 'A50GQT45C',
'confirmed' => true,
'created_at' => '2026-07-01T16:34:26.000Z',
'currency' => 'EUR',
'current_subtotal_price' => '224.97',
'current_subtotal_price_set' => [
'shop_money' => [
'amount' => '224.97',
'currency_code' => 'EUR'
],
'presentment_money' => [
'amount' => '224.97',
'currency_code' => 'EUR'
]
]
]
],
'statusCode' => 200,
'toolAlias' => 'get_order',
'toolId' => 'tool_X9pLm2Wq8Rt3',
'request' => [
'order_id' => '1073460023'
],
'delay' => 500
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sigmamind.ai/v1/mock-tool-data"
payload := strings.NewReader("{\n \"name\": \"Success - Order Confirmed\",\n \"agentId\": \"agent_D5D0p7TUs66TTAEAx\",\n \"response\": {\n \"order\": {\n \"id\": 1073460023,\n \"confirmation_number\": \"A50GQT45C\",\n \"confirmed\": true,\n \"created_at\": \"2026-07-01T16:34:26.000Z\",\n \"currency\": \"EUR\",\n \"current_subtotal_price\": \"224.97\",\n \"current_subtotal_price_set\": {\n \"shop_money\": {\n \"amount\": \"224.97\",\n \"currency_code\": \"EUR\"\n },\n \"presentment_money\": {\n \"amount\": \"224.97\",\n \"currency_code\": \"EUR\"\n }\n }\n }\n },\n \"statusCode\": 200,\n \"toolAlias\": \"get_order\",\n \"toolId\": \"tool_X9pLm2Wq8Rt3\",\n \"request\": {\n \"order_id\": \"1073460023\"\n },\n \"delay\": 500\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sigmamind.ai/v1/mock-tool-data")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Success - Order Confirmed\",\n \"agentId\": \"agent_D5D0p7TUs66TTAEAx\",\n \"response\": {\n \"order\": {\n \"id\": 1073460023,\n \"confirmation_number\": \"A50GQT45C\",\n \"confirmed\": true,\n \"created_at\": \"2026-07-01T16:34:26.000Z\",\n \"currency\": \"EUR\",\n \"current_subtotal_price\": \"224.97\",\n \"current_subtotal_price_set\": {\n \"shop_money\": {\n \"amount\": \"224.97\",\n \"currency_code\": \"EUR\"\n },\n \"presentment_money\": {\n \"amount\": \"224.97\",\n \"currency_code\": \"EUR\"\n }\n }\n }\n },\n \"statusCode\": 200,\n \"toolAlias\": \"get_order\",\n \"toolId\": \"tool_X9pLm2Wq8Rt3\",\n \"request\": {\n \"order_id\": \"1073460023\"\n },\n \"delay\": 500\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sigmamind.ai/v1/mock-tool-data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Success - Order Confirmed\",\n \"agentId\": \"agent_D5D0p7TUs66TTAEAx\",\n \"response\": {\n \"order\": {\n \"id\": 1073460023,\n \"confirmation_number\": \"A50GQT45C\",\n \"confirmed\": true,\n \"created_at\": \"2026-07-01T16:34:26.000Z\",\n \"currency\": \"EUR\",\n \"current_subtotal_price\": \"224.97\",\n \"current_subtotal_price_set\": {\n \"shop_money\": {\n \"amount\": \"224.97\",\n \"currency_code\": \"EUR\"\n },\n \"presentment_money\": {\n \"amount\": \"224.97\",\n \"currency_code\": \"EUR\"\n }\n }\n }\n },\n \"statusCode\": 200,\n \"toolAlias\": \"get_order\",\n \"toolId\": \"tool_X9pLm2Wq8Rt3\",\n \"request\": {\n \"order_id\": \"1073460023\"\n },\n \"delay\": 500\n}"
response = http.request(request)
puts response.read_body{
"mockToolDataId": "mock_dpKjqjKnY3z6gABF",
"name": "Success - Order Confirmed",
"agentId": "agent_D5D0p7TUs66TTAEAx",
"toolId": "tool_X9pLm2Wq8Rt3",
"toolAlias": "get_order",
"toolName": "Get Order",
"request": {
"order_id": "1073460023"
},
"response": {
"order": {
"id": 1073460023,
"confirmation_number": "A50GQT45C",
"confirmed": true,
"created_at": "2026-07-01T16:34:26.000Z",
"currency": "EUR",
"current_subtotal_price": "224.97",
"current_subtotal_price_set": {
"shop_money": {
"amount": "224.97",
"currency_code": "EUR"
},
"presentment_money": {
"amount": "224.97",
"currency_code": "EUR"
}
}
}
},
"statusCode": 200,
"delay": 500
}{
"error": "Bad Request",
"message": "Invalid request parameters",
"path": "/v1/mock-tool-data",
"status": 400,
"timestamp": "2026-10-14T11:41:38.503Z"
}{
"error": "Unauthorized",
"message": "X-API-Key is missing or invalid",
"path": "/v1/mock-tool-data",
"status": 401,
"timestamp": "2026-10-14T11:41:38.503Z"
}{
"error": "Forbidden",
"message": "Access denied for this resource",
"path": "/v1/mock-tool-data",
"status": 403,
"timestamp": "2026-10-14T11:41:38.503Z"
}{
"error": "Not Found",
"message": "The requested resource was not found",
"path": "/v1/mock-tool-data",
"status": 404,
"timestamp": "2026-10-14T11:41:38.503Z"
}{
"error": "Internal Server Error",
"message": "Unexpected server error",
"path": "/v1/mock-tool-data",
"status": 500,
"timestamp": "2026-10-14T11:41:38.503Z"
}Authorizations
Authenticate every request by passing your API key in the X-API-Key header. To get your key, go to Dashboard → API Keys and create or copy your Production API key.
Body
Request body to create a named mock tool response in the tenant mock library.
Human-readable name for this mock, used when picking mocks in the test-case UI.
255"Success - Order Confirmed"
The unique identifier of the agent this mock belongs to.
"agent_D5D0p7TUs66TTAEAx"
Mocked HTTP response body returned when this mock is used during simulation.
{ "order": { "id": 1073460023, "confirmation_number": "A50GQT45C", "confirmed": true, "created_at": "2026-07-01T16:34:26.000Z", "currency": "EUR", "current_subtotal_price": "224.97", "current_subtotal_price_set": { "shop_money": { "amount": "224.97", "currency_code": "EUR" }, "presentment_money": { "amount": "224.97", "currency_code": "EUR" } } } }
HTTP status code to return when this mock is used.
100, 101, 102, 103, 200, 201, 202, 203, 204, 205, 206, 207, 208, 226, 300, 301, 302, 303, 304, 307, 308, 400, 401, 402, 403, 404, 405, 406, 407, 408, 409, 410, 411, 412, 413, 414, 415, 416, 417, 418, 421, 422, 423, 424, 425, 426, 428, 429, 431, 451, 500, 501, 502, 503, 504, 505, 506, 507, 508, 510, 511 100 <= x <= 599200
Agent tool alias this mock is bound to.
"get_order"
Identifier of the integration tool this mock belongs to. Optional when toolAlias can uniquely resolve the tool.
"tool_X9pLm2Wq8Rt3"
Optional request payload (or placeholders) associated with this mock, for documentation and capture.
{ "order_id": "1073460023" }
Artificial delay in milliseconds before returning the mock response. Defaults to 0.
0 <= x <= 30000500
Response
Created
A mock tool response stored in the tenant mock library.
Public identifier of the mock tool data record.
"mock_dpKjqjKnY3z6gABF"
Human-readable name for this mock.
"Success - Order Confirmed"
The unique identifier of the agent this mock belongs to.
"agent_D5D0p7TUs66TTAEAx"
Public identifier of the integration tool this mock belongs to.
"tool_X9pLm2Wq8Rt3"
Agent tool alias this mock was created against.
"get_order"
Display name of the tool at the time the mock was created.
"Get Order"
Request payload (or placeholders) associated with this mock.
{ "order_id": "1073460023" }
Mocked HTTP response body.
{ "order": { "id": 1073460023, "confirmation_number": "A50GQT45C", "confirmed": true, "created_at": "2026-07-01T16:34:26.000Z", "currency": "EUR", "current_subtotal_price": "224.97", "current_subtotal_price_set": { "shop_money": { "amount": "224.97", "currency_code": "EUR" }, "presentment_money": { "amount": "224.97", "currency_code": "EUR" } } } }
HTTP status code returned when this mock is used.
200
Artificial delay in milliseconds before returning the mock response.
500